hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashish Singh (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-9920) Should upgrade maven-surefire-plugin version to avoid hitting SUREFIRE-910
Date Wed, 02 Oct 2013 00:15:26 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-9920?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13783511#comment-13783511
] 

Ashish Singh commented on HADOOP-9920:
--------------------------------------

+1 for the patch.

> Should upgrade maven-surefire-plugin version to avoid hitting SUREFIRE-910
> --------------------------------------------------------------------------
>
>                 Key: HADOOP-9920
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9920
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: test
>    Affects Versions: 2.1.0-beta
>            Reporter: Yu Li
>            Assignee: Yu Li
>         Attachments: HADOOP-9920.patch
>
>
> While running UT against 2.1.0-beta on our own Jenkins server, the UT was interruptted
at hadoop common project with below exception:
> {noformat}
> ExecutionException; nested exception is java.util.concurrent.ExecutionException: java.lang.RuntimeException:
The forked VM terminated without saying properly goodbye. VM crash or System.exit called ?
> {noformat}
> And further checking proves we have ran into [SUREFIRE-910|http://jira.codehaus.org/browse/SUREFIRE-910]
which reports the same issue which got fixed in surefire v2.13 while our maven-surefire-plugin
version is still 2.12.3 for now. We should upgrade it to the latest 2.16



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message